TICKIT_WINDOW_SETCTL_INT(3)

NAME
tickit_window_setctl_int- set an integer window control

SYNOPSIS
    #include <tickit.h>

    bool tickit_window_getctl_int(TickitWindow *tt, TickitWindowCtl ctl, int *value);
    bool tickit_window_setctl_int(TickitWindow *tt, TickitWindowCtl ctl, int value);

Link with -ltickit.

DESCRIPTION
tickit_window_setctl_int() performs a window control operation, setting the value of a numeric window control option. tickit_window_getctl_int() obtains the value of a window control setting.

For the list of possible TickitWindowCtl values and their meanings, see tickit_window(7).

RETURN VALUE
tickit_window_getctl_int() returns a true value if it recognised the requested control and managed to return the current value of it; false if not. tickit_window_setctl_int() returns a true value if it recognised the requested control and managed to request the window to change it; false if not.

SEE ALSO
tickit_window(7), tickit(7)